# How to build & run

## build
`docker build  --tag=$(basename $PWD) .`

## general configuration

Look at *app/config/email.py.example** for the configuration of the 
parameters required for sending emails. Copy the file as *email.py* to
a folder that will serve as configuration directory and fill in the 
information. The directory will be used as volume during container 
operation.

## run in development

Include the development version of the code as volume, so the app gets
reloaded automatically. The sqlite file will be stored in *tmp* so it 
can be inspected with tools like *sqlite3*. The switch *DEBUG* enables
debugging during development.

`docker run --rm --name rollerverbrauch -ti -v $PWD/app:/app -v $PWD/../rollerverbrauch_config:/app/config -v /tmp/pitstops/:/data -e DEBUG=True -p 5000:5000 rollerverbrauch`

## run in production
`docker run --name pitstops -d -v /data/pitstops/:/data -v /configs/pitstops/:/app/config -p 80:5000 rollerverbrauch`
